package es.uv.saic.domain;

import java.util.Date;

public class AcreditacioTransfer {

	private Integer idAcreditacio;
	private Integer ruct;
	private Integer lugar;
	private String tambit;
	private String nomCas;
	private String nomVal;
	private Integer lugarCentre;
	private String nomCentreCas;
	private String nomCentreVal;
	private String grup;
	private Integer grupNum;
	private Integer grupCurs;
	private Boolean inter;
	private Date dataVerif;
	private String dataVerifStr;
	private Date dataRenov;
	private String dataRenovStr;
	private Date dataSegui;
	private String dataSeguiStr;
	private Date dataAcred;
	private String dataAcredStr;
	private Integer cursImpla;
	
	public AcreditacioTransfer() {}
	
	public AcreditacioTransfer(Acreditacio a, Organ o) {
		this.idAcreditacio = 0;
		this.ruct = o.getRuct();
		this.lugar = o.getId().getLugar();
		this.tambit = o.getTambit();
		this.nomCas = o.getNomCas();
		this.nomVal = o.getNomVal();
		this.lugarCentre = o.getOrgan().getId().getLugar();
		this.nomCentreCas = o.getOrgan().getNomCas();
		this.nomCentreVal = o.getOrgan().getNomVal();
		this.grup = a.getGrup();
		this.grupNum = a.getGrupNum();
		this.grupCurs = a.getGrupCurs();
		this.inter = a.getInter();
		this.dataVerif = a.getDataVerif();
		this.dataVerifStr = String.format("%1$td/%1$tm/%1$tY", dataVerif);
		this.dataRenov = a.getDataRenov();
		this.dataRenovStr = String.format("%1$td/%1$tm/%1$tY", dataRenov);
		this.dataSegui = a.getDataSegui();
		this.dataSeguiStr = String.format("%1$td/%1$tm/%1$tY", dataSegui);
		this.dataAcred = a.getDataAcred();
		this.dataAcredStr = String.format("%1$td/%1$tm/%1$tY", dataAcred);
		this.cursImpla = a.getCursImpla();
	}
	
	public Integer getIdAcreditacio() {
		return idAcreditacio;
	}
	public void setIdAcreditacio(Integer idAcreditacio) {
		this.idAcreditacio = idAcreditacio;
	}
	public Integer getRuct() {
		return ruct;
	}
	public void setRuct(Integer ruct) {
		this.ruct = ruct;
	}
	public String getTambit() {
		return tambit;
	}
	public void setTambit(String tambit) {
		this.tambit = tambit;
	}
	public String getNomCas() {
		return nomCas;
	}
	public void setNomCas(String nomCas) {
		this.nomCas = nomCas;
	}
	public String getNomVal() {
		return nomVal;
	}
	public void setNomVal(String nomVal) {
		this.nomVal = nomVal;
	}
	public String getGrup() {
		return grup;
	}
	public void setGrup(String grup) {
		this.grup = grup;
	}
	public Integer getGrupNum() {
		return grupNum;
	}
	public void setGrupNum(Integer grupNum) {
		this.grupNum = grupNum;
	}
	public Integer getGrupCurs() {
		return grupCurs;
	}
	public void setGrupCurs(Integer grupCurs) {
		this.grupCurs = grupCurs;
	}
	public Boolean getInter() {
		return inter;
	}
	public void setInter(Boolean inter) {
		this.inter = inter;
	}
	public Date getDataVerif() {
		return dataVerif;
	}
	public void setDataVerif(Date dataVerif) {
		this.dataVerif = dataVerif;
	}
	public Date getDataRenov() {
		return dataRenov;
	}
	public void setDataRenov(Date dataRenov) {
		this.dataRenov = dataRenov;
	}
	public Date getDataSegui() {
		return dataSegui;
	}
	public void setDataSegui(Date dataSegui) {
		this.dataSegui = dataSegui;
	}
	public Date getDataAcred() {
		return dataAcred;
	}
	public void setDataAcred(Date dataAcred) {
		this.dataAcred = dataAcred;
	}
	public Integer getCursImpla() {
		return cursImpla;
	}
	public void setCursImpla(Integer cursImpla) {
		this.cursImpla = cursImpla;
	}
	public String getDataVerifStr() {
		return dataVerifStr;
	}
	public void setDataVerifStr(String dataVerfiStr) {
		this.dataVerifStr = dataVerfiStr;
	}
	public String getDataRenovStr() {
		return dataRenovStr;
	}
	public void setDataRenovStr(String dataRenovStr) {
		this.dataRenovStr = dataRenovStr;
	}
	public String getDataSeguiStr() {
		return dataSeguiStr;
	}
	public void setDataSeguiStr(String dataSeguiStr) {
		this.dataSeguiStr = dataSeguiStr;
	}
	public String getDataAcredStr() {
		return dataAcredStr;
	}
	public void setDataAcredStr(String dataAcredStr) {
		this.dataAcredStr = dataAcredStr;
	}
	public Integer getLugar() {
		return lugar;
	}
	public void setLugar(Integer lugar) {
		this.lugar = lugar;
	}
	public Integer getLugarCentre() {
		return lugarCentre;
	}
	public void setLugarCentre(Integer lugarCentre) {
		this.lugarCentre = lugarCentre;
	}
	public String getNomCentreCas() {
		return nomCentreCas;
	}
	public void setNomCentreCas(String nomCentreCas) {
		this.nomCentreCas = nomCentreCas;
	}
	public String getNomCentreVal() {
		return nomCentreVal;
	}
	public void setNomCentreVal(String nomCentreVal) {
		this.nomCentreVal = nomCentreVal;
	}

}
